Port |Bug 716397 - [Linux] "Warning: package error or possible missing or unnecessary file: bin/libmozglue.so"| to SeaMonkey

VERIFIED FIXED in seamonkey2.9

Status

SeaMonkey
Build Config
P1
normal
VERIFIED FIXED
7 years ago
7 years ago

People

(Reporter: sgautherie, Assigned: sgautherie)

Tracking

Trunk
seamonkey2.9
All
Linux
Dependency tree / graph
Bug Flags:
in-testsuite -

SeaMonkey Tracking Flags

(seamonkey2.7 wontfix, seamonkey2.8 wontfix)

Details

Attachments

(1 attachment, 2 obsolete attachments)

(Assignee)

Description

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1325984860.1325993908.16759.gz&fulltext=1
Linux comm-central-trunk build on 2012/01/07 17:07:40
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326010543.1326022970.24198.gz&fulltext=1
Linux comm-central-trunk leak test build on 2012/01/08 00:15:43
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1326041998.1326044540.24088.gz&fulltext=1
Linux x86-64 comm-central-trunk build on 2012/01/08 08:59:58
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Aurora/1326039708.1326041998.19353.gz&fulltext=1
Linux x86-64 comm-aurora build on 2012/01/08 08:21:48
+
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey-Beta/1325875754.1325885037.6821.gz&fulltext=1
Linux comm-beta leak test build on 2012/01/06 10:49:14

{
Warning: package error or possible missing or unnecessary file: bin/libmozutils.so (package-manifest, 40).
}
Flags: in-testsuite-
(Assignee)

Updated

7 years ago
Blocks: 713134
No longer blocks: 534664
Depends on: 685480, 716397
Summary: [Linux] "Warning: package error or possible missing or unnecessary file: bin/libmozutils.so" → Port |Bug 716397 - [Linux] "Warning: package error or possible missing or unnecessary file: bin/libmozutils.so"| to SeaMonkey
Whiteboard: ["depends" on fixing bug 716397 first]
(Assignee)

Comment 1

7 years ago
Ftr, bug 701371 renamed the file:
{
Warning: package error or possible missing or unnecessary file: bin/libmozglue.so (package-manifest, 34).
}
Depends on: 701371
Summary: Port |Bug 716397 - [Linux] "Warning: package error or possible missing or unnecessary file: bin/libmozutils.so"| to SeaMonkey → Port |Bug 716397 - [Linux] "Warning: package error or possible missing or unnecessary file: bin/libmozglue.so"| to SeaMonkey
(Assignee)

Comment 2

7 years ago
Created attachment 589619 [details] [diff] [review]
(Av1) Package mozglue when SHARED_MOZGLUE only. Reorder XPCOM files
Assignee: nobody → sgautherie.bz
Status: NEW → ASSIGNED
Attachment #589619 - Flags: review?(bugspam.Callek)
(Assignee)

Updated

7 years ago
status-seamonkey2.7: affected → wontfix
status-seamonkey2.8: affected → wontfix
Priority: -- → P1
Target Milestone: --- → seamonkey2.9
(Assignee)

Comment 3

7 years ago
Created attachment 590199 [details] [diff] [review]
(Av1a) Package mozglue when MOZ_SHARED_MOZGLUE only. Reorder XPCOM files

Av1, with s/SHARED_MOZGLUE/MOZ_SHARED_MOZGLUE/.
Attachment #589619 - Attachment is obsolete: true
Attachment #589619 - Flags: review?(bugspam.Callek)
Attachment #590199 - Flags: review?(bugspam.Callek)
Comment on attachment 590199 [details] [diff] [review]
(Av1a) Package mozglue when MOZ_SHARED_MOZGLUE only. Reorder XPCOM files

I don't want the piggy-backed reordering here, lets do this bug alone, and reorder elsewhere if we really need to.
Attachment #590199 - Flags: review?(bugspam.Callek) → review-
(Assignee)

Comment 5

7 years ago
Created attachment 590401 [details] [diff] [review]
(Av2) Package mozglue when MOZ_SHARED_MOZGLUE only
[Checked in: Comment 6]

Av1a, with comment 4 suggestion(s).
Attachment #590199 - Attachment is obsolete: true
Attachment #590401 - Flags: review?(bugspam.Callek)

Updated

7 years ago
Attachment #590401 - Flags: review?(bugspam.Callek) → review+
(Assignee)

Comment 6

7 years ago
Comment on attachment 590401 [details] [diff] [review]
(Av2) Package mozglue when MOZ_SHARED_MOZGLUE only
[Checked in: Comment 6]

http://hg.mozilla.org/comm-central/rev/ad326b038421
Attachment #590401 - Attachment description: (Av2) Package mozglue when MOZ_SHARED_MOZGLUE only → (Av2) Package mozglue when MOZ_SHARED_MOZGLUE only [Checked in: Comment 6]
(Assignee)

Updated

7 years ago
Status: ASSIGNED → RESOLVED
Last Resolved: 7 years ago
Resolution: --- → FIXED
Whiteboard: ["depends" on fixing bug 716397 first]
(Assignee)

Comment 7

7 years ago
http://tinderbox.mozilla.org/showlog.cgi?log=SeaMonkey/1327610237.1327612673.28151.gz&fulltext=1
Linux x86-64 comm-central-trunk build on 2012/01/26 12:37:17

V.Fixed
Status: RESOLVED → VERIFIED
You need to log in before you can comment on or make changes to this bug.